Package com.google.protobuf

## Enum WireFormat.FieldType

- java.lang.Object
- - java.lang.Enum<WireFormat.FieldType>
  - - com.google.protobuf.WireFormat.FieldType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WireFormat.FieldType>`

Enclosing class:
  WireFormat

    public static enum WireFormat.FieldType
    extends java.lang.Enum<WireFormat.FieldType>

Lite equivalent to `Descriptors.FieldDescriptor.Type`. This is only here to support the lite runtime and should not be used by users.

### Enum Constant Summary

Enum Constants
`BOOL`
`BYTES`
`DOUBLE`
`ENUM`
`FIXED32`
`FIXED64`
`FLOAT`
`GROUP`
`INT32`
`INT64`
`MESSAGE`
`SFIXED32`
`SFIXED64`
`SINT32`
`SINT64`
`STRING`
`UINT32`
`UINT64`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`WireFormat.JavaType` `getJavaType()`
`int` `getWireType()`
`boolean` `isPackable()`
`static WireFormat.FieldType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WireFormat.FieldType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOUBLE

    public static final WireFormat.FieldType DOUBLE

#### FLOAT

    public static final WireFormat.FieldType FLOAT

#### INT64

    public static final WireFormat.FieldType INT64

#### UINT64

    public static final WireFormat.FieldType UINT64

#### INT32

    public static final WireFormat.FieldType INT32

#### FIXED64

    public static final WireFormat.FieldType FIXED64

#### FIXED32

    public static final WireFormat.FieldType FIXED32

#### BOOL

    public static final WireFormat.FieldType BOOL

#### STRING

    public static final WireFormat.FieldType STRING

#### GROUP

    public static final WireFormat.FieldType GROUP

#### MESSAGE

    public static final WireFormat.FieldType MESSAGE

#### BYTES

    public static final WireFormat.FieldType BYTES

#### UINT32

    public static final WireFormat.FieldType UINT32

#### ENUM

    public static final WireFormat.FieldType ENUM

#### SFIXED32

    public static final WireFormat.FieldType SFIXED32

#### SFIXED64

    public static final WireFormat.FieldType SFIXED64

#### SINT32

    public static final WireFormat.FieldType SINT32

#### SINT64

    public static final WireFormat.FieldType SINT64

### Method Detail

#### values

    public static WireFormat.FieldType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WireFormat.FieldType c : WireFormat.FieldType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WireFormat.FieldType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getJavaType

    public WireFormat.JavaType getJavaType()

#### getWireType

    public int getWireType()

#### isPackable

    public boolean isPackable()